Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040067
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2019-01-30 13:022019-03-28 14:56
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision41c88f9c32e6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040067: Cleanup in EntityPersistenceEventObserver classes

DescriptionSome cleanup is required in classes extending EntityPersistenceEventObserver:

- They can be declared as package protected, this allows us to extract them from the public API.

- Some of them define an unused "logger" protected field.

- Some other minor code improvements can be applied.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040046 closedcaristu Openbravo ERP unnecessary objects are created every time any DAL object is created/updated/deleted 
related to defect 0040079 closedcaristu Openbravo ERP Cleanup in EntityPersistenceEventObserver classes (Platform modules) 
related to defect 0040080 newTriage Finance Openbravo ERP Cleanup in EntityPersistenceEventObserver classes (Finance modules) 
related to defect 0040081 newRetail Retail Modules Cleanup in EntityPersistenceEventObserver classes (Retail modules) 
related to defect 0040100 closedcaristu Openbravo ERP API changes due to cleanup in EntityPersistenceEventObserver classes 

-  Notes
(0109428)
hgbot (developer)
2019-02-01 13:10

Repository: erp/devel/pi
Changeset: 41c88f9c32e6b160ca0c2e8b321bb71238020464
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jan 30 18:38:10 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/41c88f9c32e6b160ca0c2e8b321bb71238020464 [^]

fixes issue 40067: Cleanup in EntityPersistenceEventObserver classes

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/event/FIN_FinaccTransactionEventListener.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/event/FIN_PaymentEventListener.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/event/FIN_ReconciliationEventListener.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/event/OrderTestObserver.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachmentConfigEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachmentMetadataEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/AcctSchemaEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/BusinessPartnerBankAccountHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/DataPoolSelectionEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/ElementValueEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/FieldHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/GeneralLedgerOrganizationHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/LocationSettingsHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/MenuCacheHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/ModuleHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/NoteEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/RemoveImagesEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/ReorderCascadingChildDeletionsHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/RoleAccessUniqueHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/SetDocumentNoHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TableEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TableTreeEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TreeTablesEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/UsageAuditHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/WindowPersonalizationEventHandler.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorFieldHandler.java
M src/org/openbravo/erpCommon/ad_callouts/SysInfoCustomAllowed.java
M src/org/openbravo/event/ADTableEventHandler.java
M src/org/openbravo/event/ADTableNavigationEventHandler.java
M src/org/openbravo/event/BusinessPartnerEventHandler.java
M src/org/openbravo/event/CharacteristicValueEventHandler.java
M src/org/openbravo/event/ConversionRateEventHandler.java
M src/org/openbravo/event/DocTypeEventHandler.java
M src/org/openbravo/event/FaccAcctModifyEventHandler.java
M src/org/openbravo/event/GLItemAccountsEventHandler.java
M src/org/openbravo/event/GLJournalEventHandler.java
M src/org/openbravo/event/GLJournalLineEventHandler.java
M src/org/openbravo/event/InvoiceEventHandler.java
M src/org/openbravo/event/InvoiceLineEventHandler.java
M src/org/openbravo/event/InvoiceTaxEventHandler.java
M src/org/openbravo/event/MInOutLineEventHandler.java
M src/org/openbravo/event/OrderDiscountEventHandler.java
M src/org/openbravo/event/OrderEventHandler.java
M src/org/openbravo/event/OrderLineEventHandler.java
M src/org/openbravo/event/PaidStatusEventHandler.java
M src/org/openbravo/event/PeriodEventHandler.java
M src/org/openbravo/event/ProcessRequestEventHandler.java
M src/org/openbravo/event/ProductAumEventHandler.java
M src/org/openbravo/event/ProductCharacteristicEventHandler.java
M src/org/openbravo/event/ProductCharacteristicValueEventHandler.java
M src/org/openbravo/event/ProductEventHandler.java
M src/org/openbravo/event/ProductPriceObserver.java
M src/org/openbravo/event/ProductServiceConfigurationObserver.java
M src/org/openbravo/event/ProductionLineEventHandler.java
M src/org/openbravo/event/ReferenceInventoryEventHandler.java
M src/org/openbravo/event/RoleEventHandler.java
M src/org/openbravo/event/ServiceOrderLineEventHandler.java
M src/org/openbravo/event/ServicePriceRuleRangeEventHandler.java
M src/org/openbravo/event/ServiceRelationEventHandler.java
M src/org/openbravo/event/SimpleGLJournalEventHandler.java
M src/org/openbravo/event/SubsetValueEventHandler.java
M src/org/openbravo/event/UOMConversionEventHandler.java
M src/org/openbravo/role/inheritance/InheritedAccessEnabledEventHandler.java
M src/org/openbravo/role/inheritance/RoleInheritanceEventHandler.java
---
(0109672)
alostale (developer)
2019-02-11 14:39

reviewed
(0110712)
hgbot (developer)
2019-03-28 10:30

Repository: erp/devel/pi
Changeset: e81a1f5183f7436c8f144c86d14c670bb09f7bc8
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Mar 28 10:20:48 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e81a1f5183f7436c8f144c86d14c670bb09f7bc8 [^]

related to bug 40067: remove unused logger

---
M src/org/openbravo/event/PaidStatusEventHandler.java
---
(0110788)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110898)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-01-30 13:02 caristu New Issue
2019-01-30 13:02 caristu Assigned To => caristu
2019-01-30 13:02 caristu Modules => Core
2019-01-30 13:02 caristu Triggers an Emergency Pack => No
2019-01-30 13:02 caristu Issue generated from 0040046
2019-01-30 13:02 caristu Relationship added related to 0040046
2019-01-30 13:12 caristu Summary CleanUp in EntityPersistenceEventObserver classes => Cleanup in EntityPersistenceEventObserver classes
2019-01-30 19:12 caristu Status new => scheduled
2019-01-31 09:43 caristu Issue cloned 0040079
2019-01-31 09:43 caristu Relationship added related to 0040079
2019-01-31 09:47 caristu Issue cloned 0040080
2019-01-31 09:47 caristu Relationship added related to 0040080
2019-01-31 09:50 caristu Relationship added related to 0040081
2019-01-31 09:51 caristu Priority high => normal
2019-01-31 09:51 caristu Severity minor => trivial
2019-02-01 11:04 caristu Issue cloned 0040100
2019-02-01 11:04 caristu Relationship added related to 0040100
2019-02-01 13:10 hgbot Checkin
2019-02-01 13:10 hgbot Note Added: 0109428
2019-02-01 13:10 hgbot Status scheduled => resolved
2019-02-01 13:10 hgbot Resolution open => fixed
2019-02-01 13:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/41c88f9c32e6b160ca0c2e8b321bb71238020464 [^]
2019-02-01 13:11 caristu Review Assigned To => alostale
2019-02-11 14:39 alostale Note Added: 0109672
2019-02-11 14:39 alostale Status resolved => closed
2019-02-11 14:39 alostale Fixed in Version => 3.0PR19Q2
2019-03-28 10:30 hgbot Checkin
2019-03-28 10:30 hgbot Note Added: 0110712
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110788
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110898


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker